import type { FileSystem } from '@aries-framework/core';
export declare class ReactNativeFileSystem implements FileSystem {
    readonly basePath: string;
    /**
     * Create new ReactNativeFileSystem class instance.
     *
     * @param basePath The base path to use for reading and writing files. RNFS.TemporaryDirectoryPath if not specified
     *
     * @see https://github.com/itinance/react-native-fs#constants
     */
    constructor(basePath?: string);
    exists(path: string): Promise<boolean>;
    createDirectory(path: string): Promise<void>;
    write(path: string, data: string): Promise<void>;
    read(path: string): Promise<string>;
    downloadToFile(url: string, path: string): Promise<void>;
}
